MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004017ATutor- no cat -public2009-11-16 12:022009-12-01 08:40
ReporterIndieRect 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6.3 
Target VersionFixed in Version1.6.4 
Summary0004017: User login time is not recorded upon registration
DescriptionWhen a user registers and sending the e-mail confirmation is turned off, he/she is immediately logged in. But last_login field is not updated in AT_members table.

Suggestion:
Copy the corresponding SQL query from login.php (lines 144 and 145 as of HEAD).
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships
parent of 0004799closedharris Auto registration email confirmation link fails on the first time, the "m" parameter is wrong 

-  Notes
(0003927)
cindy (administrator)
2009-11-30 11:21

SVN revision: 8982

Solution: update last_login at auto login in registration page

Affected script: registration.php
(0003928)
IndieRect (reporter)
2009-11-30 11:38

Would overwrite the account creation date. The SQL query should also contain "creation_date=creation_date".
I did suggest to better clone the code. :)
(0003929)
cindy (administrator)
2009-12-01 04:32

Thanks for the report, Indie.

SVN revision: 8984

Solution: update creation_date too

Affected script: registration.php

- Issue History
Date Modified Username Field Change
2009-11-16 12:02 IndieRect New Issue
2009-11-16 12:02 IndieRect Affects version => SVN
2009-11-30 04:00 greg Status new => assigned
2009-11-30 04:00 greg Assigned To => cindy
2009-11-30 11:21 cindy Status assigned => resolved
2009-11-30 11:21 cindy Fixed in Version => 1.6.4
2009-11-30 11:21 cindy Resolution open => fixed
2009-11-30 11:21 cindy Note Added: 0003927
2009-11-30 11:38 IndieRect Status resolved => feedback
2009-11-30 11:38 IndieRect Resolution fixed => reopened
2009-11-30 11:38 IndieRect Note Added: 0003928
2009-12-01 04:32 cindy Status feedback => resolved
2009-12-01 04:32 cindy Resolution reopened => fixed
2009-12-01 04:32 cindy Note Added: 0003929
2009-12-01 08:40 greg Status resolved => closed
2011-07-20 10:55 harris Relationship added parent of 0004799


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker